#!/usr/bin/env bash

docker logs ucp-kubelet --since 1m 2>&1 | grep -q 'Failed to make webhook authorizer request: context canceled'
if [[ $? == 0 ]]; then
  echo 'Removing kubelet container snapshot'
  ctr -n com.docker.ucp snapshot rm ucp-kubelet
  echo 'Restarting kubelet'
  docker rm -f ucp-kubelet &> /dev/null
fi
